Delete a test case
DELETE
/projects/{project_id}/test_cases/{test_case_id}Base URL
https://arcus.testsigma.com/api/v1Delete a specific test case identified by its unique ID from a project.
Authenticate with your API key as a
Bearer token in the Authorization header. How to authenticate →Path parameters
project_id | Unique identifier of the project from which the test case will be deleted. |
test_case_id | Unique identifier (or human-readable ID) of the test case to delete. |
Response attributes
message | A message indicating the result of the operation; may be empty on successful deletion. |
Request
curl -X DELETE \
'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_cases/{test_case_id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json'const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/test_cases/{test_case_id}', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
});
const data = await response.json();import requests
response = requests.delete(
'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_cases/{test_case_id}',
headers={
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
)
data = response.json()Response200 OK
{
"message": ""
}Was this page helpful?
Thanks for the feedback.